[arch-commits] Commit in python-openmdao/repos/community-any (PKGBUILD PKGBUILD)
Felix Yan
felixonmars at archlinux.org
Tue May 11 18:10:49 UTC 2021
Date: Tuesday, May 11, 2021 @ 18:10:48
Author: felixonmars
Revision: 930387
archrelease: copy trunk to community-any
Added:
python-openmdao/repos/community-any/PKGBUILD
(from rev 930386, python-openmdao/trunk/PKGBUILD)
Deleted:
python-openmdao/repos/community-any/PKGBUILD
----------+
PKGBUILD | 83 +++++++++++++++++++++++++++++++++----------------------------
1 file changed, 45 insertions(+), 38 deletions(-)
Deleted: PKGBUILD
===================================================================
--- PKGBUILD 2021-05-11 18:10:32 UTC (rev 930386)
+++ PKGBUILD 2021-05-11 18:10:48 UTC (rev 930387)
@@ -1,38 +0,0 @@
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-
-pkgname=python-openmdao
-pkgver=3.8.0
-pkgrel=1
-pkgdesc="An open-source high-performance computing platform"
-url="https://github.com/OpenMDAO/OpenMDAO"
-license=('Apache')
-arch=('any')
-depends=('python-six' 'python-numpydoc' 'python-scipy' 'python-sqlitedict' 'python-pycodestyle'
- 'python-pydocstyle' 'python-testflo' 'python-parameterized' 'python-pyparsing'
- 'python-networkx' 'python-sphinx' 'python-redbaron' 'python-mock' 'python-requests-mock'
- 'python-tornado' 'python-pydoe2')
-checkdepends=('python-mpi4py')
-source=("$pkgname-$pkgver.tar.gz::https://github.com/OpenMDAO/OpenMDAO/archive/$pkgver.tar.gz")
-sha512sums=('44ea47309421f1f625ef653c1b64a52fe3e1a791c013a1b3ae842e361ccea928c79c2526fa5b651aa5c43c050ac17250d25ee20baf385fa2f67221ccd3c1bb9f')
-
-prepare() {
- cd OpenMDAO-$pkgver
- sed -e 's/from distutils.core/from setuptools/' \
- -e 's/==/>=/' \
- -i setup.py
-}
-
-build() {
- cd OpenMDAO-$pkgver
- python setup.py build
-}
-
-check() {
- cd OpenMDAO-$pkgver
- PYTHONPATH="$PWD/build/lib" testflo -n 16 --timeout=120 openmdao || echo "Tests failed"
-}
-
-package() {
- cd OpenMDAO-$pkgver
- python setup.py install --root="$pkgdir" --optimize=1
-}
Copied: python-openmdao/repos/community-any/PKGBUILD (from rev 930386, python-openmdao/trunk/PKGBUILD)
===================================================================
--- PKGBUILD (rev 0)
+++ PKGBUILD 2021-05-11 18:10:48 UTC (rev 930387)
@@ -0,0 +1,45 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgname=python-openmdao
+pkgver=3.9.0
+pkgrel=1
+pkgdesc="An open-source high-performance computing platform"
+url="https://github.com/OpenMDAO/OpenMDAO"
+license=('Apache')
+arch=('any')
+depends=('python-networkx' 'python-numpy' 'python-pydoe2' 'python-pyparsing' 'python-scipy'
+ 'python-requests')
+optdepends=('python-matplotlib: for docs'
+ 'python-numpydoc: for docs'
+ 'python-redbaron: for docs'
+ 'python-sphinx: for docs'
+ 'python-tabulate: for docs and notebooks'
+ 'ipython: for docs and notebooks'
+ 'python-notebook: for notebooks'
+ 'python-bokeh: for visualization'
+ 'python-colorama: for visualization')
+checkdepends=('python-mpi4py' 'python-parameterized' 'python-numpydoc' 'python-pycodestyle'
+ 'python-pydocstyle' 'python-testflo' 'python-websockets' 'python-pyppeteer'
+ 'python-aiounittest')
+source=("https://github.com/OpenMDAO/OpenMDAO/archive/$pkgver/$pkgname-$pkgver.tar.gz")
+sha512sums=('8932232ca9b104cee1baded0a8d0304e7b4f4f1bcb6eae1624cee507a03a0cf53ef2e379da363893dbcb3bfd52033772797aba4057cdc2b68b0a1598a593067d')
+
+prepare() {
+ cd OpenMDAO-$pkgver
+ sed -e 's/==/>=/' -i setup.py
+}
+
+build() {
+ cd OpenMDAO-$pkgver
+ python setup.py build
+}
+
+check() {
+ cd OpenMDAO-$pkgver
+ PYTHONPATH="$PWD/build/lib" testflo -n 16 --timeout=120 openmdao || echo "Tests failed"
+}
+
+package() {
+ cd OpenMDAO-$pkgver
+ python setup.py install --root="$pkgdir" --optimize=1
+}
More information about the arch-commits
mailing list